stages:
  - build
  - deploy
build:
  stage: build
  image: maven:3.9.4-eclipse-temurin-17-alpine
  script:
    - mvn versions:set -DnewVersion=$CI_PIPELINE_IID
    - mvn clean package deploy -s settings.xml


deploy_shared:
  stage: deploy
  image: alpine/curl:3.14
  script:
    - curl -X POST
        --fail
        -F token=$CI_JOB_TOKEN
        -F "ref=master"
        -F "variables[GROUP_ID]=testando.weblogic.operator.app2"
        -F "variables[ARTIFACT_ID]=app2-shared"
        -F "variables[VERSION]=$CI_PIPELINE_IID"
        -F "variables[PACKAGING]=jar"
        -F "variables[DOMAIN_NAME]=domain2"
        -F "variables[MANAGED_SERVER]=app2"
        -F "variables[TYPE]=Library"
        -F "variables[ENVIRONMENT]=producao"
        https://gitlab.com/api/v4/projects/testando-kubernetes%2Ftestando-weblogic-operator%2Fauxiliary-image-builder/trigger/pipeline
deploy_webapp:
  stage: deploy
  image: alpine/curl:3.14
  script:
    - curl -X POST
        --fail
        -F token=$CI_JOB_TOKEN
        -F "ref=master"
        -F "variables[GROUP_ID]=testando.weblogic.operator.app2"
        -F "variables[ARTIFACT_ID]=app2-webapp"
        -F "variables[VERSION]=$CI_PIPELINE_IID"
        -F "variables[PACKAGING]=war"
        -F "variables[DOMAIN_NAME]=domain2"
        -F "variables[MANAGED_SERVER]=app2"
        -F "variables[TYPE]=Application"
        -F "variables[ENVIRONMENT]=producao"
        https://gitlab.com/api/v4/projects/testando-kubernetes%2Ftestando-weblogic-operator%2Fauxiliary-image-builder/trigger/pipeline
